public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Piotr Karbowski" <slashbeast@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/wxGTK/
Date: Sun, 23 Jul 2023 16:40:49 +0000 (UTC)	[thread overview]
Message-ID: <1690130445.ba4d88bfb4f7bff4d69a0b0d6d06035cb1bcdd76.slashbeast@gentoo> (raw)

commit:     ba4d88bfb4f7bff4d69a0b0d6d06035cb1bcdd76
Author:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 23 16:22:29 2023 +0000
Commit:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Sun Jul 23 16:40:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba4d88bf

x11-libs/wxGTK: 3.2.2.1-r3: Switch to wxGLCanvas GLX.

Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>

 x11-libs/wxGTK/wxGTK-3.2.2.1-r3.ebuild | 228 +++++++++++++++++++++++++++++++++
 1 file changed, 228 insertions(+)

diff --git a/x11-libs/wxGTK/wxGTK-3.2.2.1-r3.ebuild b/x11-libs/wxGTK/wxGTK-3.2.2.1-r3.ebuild
new file mode 100644
index 000000000000..1411650e6df9
--- /dev/null
+++ b/x11-libs/wxGTK/wxGTK-3.2.2.1-r3.ebuild
@@ -0,0 +1,228 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-minimal
+
+WXSUBVERSION="${PV}-gtk3"				# 3.2.1-gtk3
+WXVERSION="$(ver_cut 1-3)"				# 3.2.1
+# Make sure that this matches the number of components in ${PV}
+WXRELEASE="$(ver_cut 1-2)-gtk3"			# 3.2-gtk3
+WXRELEASE_NODOT=${WXRELEASE//./}		# 32-gtk3
+
+DESCRIPTION="GTK version of wxWidgets, a cross-platform C++ GUI toolkit"
+HOMEPAGE="https://wxwidgets.org/"
+SRC_URI="
+	https://github.com/wxWidgets/wxWidgets/releases/download/v${PV}/wxWidgets-${PV}.tar.bz2
+	doc? ( https://github.com/wxWidgets/wxWidgets/releases/download/v${PV}/wxWidgets-${PV}-docs-html.tar.bz2 )"
+S="${WORKDIR}/wxWidgets-${PV}"
+
+LICENSE="wxWinLL-3 GPL-2 doc? ( wxWinFDL-3 )"
+SLOT="${WXRELEASE}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+X curl doc debug keyring gstreamer libnotify +lzma opengl pch sdl +spell test tiff wayland webkit"
+REQUIRED_USE="test? ( tiff ) tiff? ( X ) spell? ( X ) keyring? ( X )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=app-eselect/eselect-wxwidgets-20131230
+	dev-libs/expat[${MULTILIB_USEDEP}]
+	dev-libs/libpcre2[pcre16,pcre32,unicode]
+	sdl? ( media-libs/libsdl2[${MULTILIB_USEDEP}] )
+	curl? ( net-misc/curl )
+	lzma? ( app-arch/xz-utils )
+	X? (
+		>=dev-libs/glib-2.22:2[${MULTILIB_USEDEP}]
+		media-libs/libjpeg-turbo:=[${MULTILIB_USEDEP}]
+		media-libs/libpng:0=[${MULTILIB_USEDEP}]
+		sys-libs/zlib[${MULTILIB_USEDEP}]
+		x11-libs/cairo[${MULTILIB_USEDEP}]
+		x11-libs/gtk+:3[wayland?,${MULTILIB_USEDEP}]
+		x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+		x11-libs/libSM[${MULTILIB_USEDEP}]
+		x11-libs/libX11[${MULTILIB_USEDEP}]
+		x11-libs/libXtst
+		x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
+		media-libs/fontconfig
+		x11-libs/pango[${MULTILIB_USEDEP}]
+		keyring? ( app-crypt/libsecret )
+		gstreamer? (
+			media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
+			media-libs/gst-plugins-base:1.0[${MULTILIB_USEDEP}]
+			media-libs/gst-plugins-bad:1.0[${MULTILIB_USEDEP}]
+		)
+		libnotify? ( x11-libs/libnotify[${MULTILIB_USEDEP}] )
+		opengl? (
+			virtual/opengl[${MULTILIB_USEDEP}]
+			wayland? ( dev-libs/wayland )
+		)
+		spell? ( app-text/gspell:= )
+		tiff? ( media-libs/tiff:=[${MULTILIB_USEDEP}] )
+		webkit? ( net-libs/webkit-gtk:4= )
+	)"
+DEPEND="${RDEPEND}
+	opengl? ( virtual/glu[${MULTILIB_USEDEP}] )
+	X? ( x11-base/xorg-proto )"
+BDEPEND="
+	test? ( >=dev-util/cppunit-1.8.0 )
+	>=app-eselect/eselect-wxwidgets-20131230
+	virtual/pkgconfig"
+
+# Note about the gst-plugin-base dep: The build system queries for it,
+# but doesn't link it for some reason?  Either way - probably best to
+# depend on it anyway.
+# Note about the wayland dep: Appears to be only required for the OpenGL
+# canvas, and it seems impossible to disable the X dependency, unless
+# I'm missing something.  This is an automagic header dep, though.
+
+PATCHES=(
+	#"${WORKDIR}"/wxGTK-3.0.5_p20210214/
+	"${FILESDIR}/${PN}-3.2.1-gtk3-translation-domain.patch"
+	#"${FILESDIR}"/wxGTK-ignore-c++-abi.patch #676878
+	"${FILESDIR}/${PN}-3.2.1-configure-tests.patch"
+	"${FILESDIR}/${PN}-3.2.1-wayland-control.patch"
+	"${FILESDIR}/${PN}-3.2.1-prefer-lib64-in-tests.patch"
+	"${FILESDIR}/${PN}-3.2.2.1-dont-break-flags.patch"
+)
+
+src_prepare() {
+	default
+
+	# find . -iname Makefile.in -not -path ./samples'/*' \
+	#        | xargs grep -l WX_RELEASE
+	local versioned_makefiles=(
+		./tests/benchmarks/Makefile.in
+		./tests/Makefile.in
+		./utils/emulator/src/Makefile.in
+		./utils/execmon/Makefile.in
+		./utils/wxrc/Makefile.in
+		./utils/helpview/src/Makefile.in
+		./utils/hhp2cached/Makefile.in
+		./utils/screenshotgen/src/Makefile.in
+		./utils/ifacecheck/src/Makefile.in
+		./Makefile.in
+		./demos/life/Makefile.in
+		./demos/bombs/Makefile.in
+		./demos/fractal/Makefile.in
+		./demos/forty/Makefile.in
+		./demos/poem/Makefile.in
+	)
+
+	# Versionating
+	sed -i \
+		-e "s:\(WX_RELEASE = \).*:\1${WXRELEASE}:"\
+		-e "s:\(WX_RELEASE_NODOT = \).*:\1${WXRELEASE_NODOT}:"\
+		-e "s:\(WX_VERSION = \).*:\1${WXVERSION}:"\
+		-e "s:aclocal):aclocal/wxwin${WXRELEASE_NODOT}.m4):" \
+		"${versioned_makefiles[@]}" || die
+
+	sed -i \
+		-e "s:\(WX_VERSION=\).*:\1${WXVERSION}:" \
+		-e "s:\(WX_RELEASE=\).*:\1${WXRELEASE}:" \
+		-e "s:\(WX_SUBVERSION=\).*:\1${WXSUBVERSION}:" \
+		-e '/WX_VERSION_TAG=/ s:${WX_RELEASE}:3.0:' \
+		configure || die
+}
+
+multilib_src_configure() {
+	# X independent options
+	local myeconfargs=(
+		--with-zlib=sys
+		--with-expat=sys
+		--enable-compat30
+		--enable-xrc
+		$(use_with sdl)
+		$(use_with lzma liblzma)
+		# Currently defaults to curl, could change.  Watch the VDB!
+		$(use_enable curl webrequest)
+
+		# PCHes are unstable and are disabled in-tree where possible
+		# See bug #504204
+		# Commits 8c4774042b7fdfb08e525d8af4b7912f26a2fdce, fb809aeadee57ffa24591e60cfb41aecd4823090
+		$(use_enable pch precomp-headers)
+
+		# Don't hard-code libdir's prefix for wx-config
+		--libdir='${prefix}'/$(get_libdir)
+	)
+
+	# Switch to wxGLCanvas GLX instead of EGL, resolves many OpenGL issues.
+	myeconfargs+=( "--disable-glcanvasegl" )
+
+	# debug in >=2.9
+	# there is no longer separate debug libraries (gtk2ud)
+	# wxDEBUG_LEVEL=1 is the default and we will leave it enabled
+	# wxDEBUG_LEVEL=2 enables assertions that have expensive runtime costs.
+	# apps can disable these features by building w/ -NDEBUG or wxDEBUG_LEVEL_0.
+	# http://docs.wxwidgets.org/3.0/overview_debugging.html
+	# https://groups.google.com/group/wx-dev/browse_thread/thread/c3c7e78d63d7777f/05dee25410052d9c
+	use debug && myeconfargs+=( --enable-debug=max )
+
+	# wxGTK options
+	#   --enable-graphics_ctx - needed for webkit, editra
+	#   --without-gnomevfs - bug #203389
+	use X && myeconfargs+=(
+		--enable-graphics_ctx
+		--with-gtkprint
+		--enable-gui
+		--with-gtk=3
+		--with-libpng=sys
+		--with-libjpeg=sys
+
+		# Choosing to enable this unconditionally seems fair, pcre2 is
+		# almost certain to be installed.
+		--with-regex=sys
+		--without-gnomevfs
+		$(use_enable gstreamer mediactrl)
+		$(multilib_native_use_enable webkit webview)
+		$(use_with libnotify)
+		$(use_with opengl)
+		$(use_with tiff libtiff sys)
+		$(use_enable keyring secretstore)
+		$(use_enable spell spellcheck)
+		$(use_enable test tests)
+		$(use_enable wayland)
+	)
+
+	# wxBase options
+	! use X && myeconfargs+=( --disable-gui )
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+	emake -C tests
+	(cd tests && ./test '~[.]~[net]') || die
+}
+
+multilib_src_install_all() {
+	cd docs || die
+	dodoc changes.txt readme.txt
+	newdoc base/readme.txt base_readme.txt
+	newdoc gtk/readme.txt gtk_readme.txt
+
+	use doc && HTML_DOCS=( "${WORKDIR}"/wxWidgets-${PV}-docs-html/. )
+	einstalldocs
+
+	# Unversioned links
+	rm "${ED}"/usr/bin/wx-config || die
+	rm "${ED}"/usr/bin/wxrc || die
+
+	# version bakefile presets
+	pushd "${ED}"/usr/share/bakefile/presets >/dev/null || die
+	local f
+	for f in wx*; do
+		mv "${f}" "${f/wx/wx32gtk3}" || die
+	done
+	popd >/dev/null || die
+}
+
+pkg_postinst() {
+	has_version -b app-eselect/eselect-wxwidgets \
+		&& eselect wxwidgets update
+}
+
+pkg_postrm() {
+	has_version -b app-eselect/eselect-wxwidgets \
+		&& eselect wxwidgets update
+}


             reply	other threads:[~2023-07-23 16:40 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-23 16:40 Piotr Karbowski [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-03 10:50 [gentoo-commits] repo/gentoo:master commit in: x11-libs/wxGTK/ Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-06  0:20 Eli Schwartz
2024-05-28  2:01 Sam James
2024-05-28  1:59 Sam James
2024-05-06  7:09 Mart Raudsepp
2024-03-12  4:29 Ionen Wolkens
2024-03-12  4:29 Ionen Wolkens
2024-03-10  5:08 Ionen Wolkens
2024-01-21  8:57 Sam James
2024-01-18  8:06 Florian Schmaus
2023-11-10  9:16 Joonas Niilola
2023-11-05 13:38 Sam James
2023-11-05 13:38 Sam James
2023-09-22 14:54 Sam James
2023-05-18 12:17 Andreas Sturmlechner
2023-05-01  7:22 Arthur Zamarin
2023-05-01  2:33 Sam James
2023-05-01  2:33 Sam James
2023-05-01  2:31 Sam James
2023-04-30 15:32 Arsen Arsenović
2023-04-25  0:35 Sam James
2023-04-19 11:07 Sam James
2023-04-19  8:44 Arthur Zamarin
2023-04-19  8:29 Arthur Zamarin
2023-03-30 22:59 Arsen Arsenović
2023-03-30 17:29 Arsen Arsenović
2023-02-17  8:40 Arsen Arsenović
2023-02-10  4:51 WANG Xuerui
2023-01-28 23:42 Jonas Stein
2022-12-16  1:40 Sam James
2022-12-04 17:28 WANG Xuerui
2022-10-08 17:58 Sam James
2022-08-23 15:19 David Seifert
2022-08-23 15:19 David Seifert
2022-08-23  9:57 David Seifert
2022-07-18 16:30 Sam James
2022-07-10 22:30 Sam James
2022-07-09 22:57 David Seifert
2022-07-09 12:17 Agostino Sarubbo
2022-07-07 20:10 Arthur Zamarin
2022-07-07 19:44 Sam James
2022-07-07 16:48 Arthur Zamarin
2022-07-07 16:21 Arthur Zamarin
2021-05-13 13:38 David Seifert
2021-04-25 19:13 Mart Raudsepp
2021-03-26 20:32 David Seifert
2021-01-18 19:29 Fabian Groffen
2021-01-06 12:01 Fabian Groffen
2019-09-01 18:10 Mikle Kolyada
2019-08-17 20:22 Sergei Trofimovich
2019-08-17 20:17 Sergei Trofimovich
2019-08-14  7:34 Agostino Sarubbo
2019-08-13 13:51 Agostino Sarubbo
2019-08-13 13:14 Agostino Sarubbo
2019-08-13 11:49 Agostino Sarubbo
2019-08-12 11:58 Aaron Bauman
2019-08-12  9:11 Agostino Sarubbo
2019-08-11 23:03 Thomas Deutschmann
2019-05-20 17:22 Aaron Bauman
2019-01-03 14:58 Sergei Trofimovich
2018-10-06 19:12 Sergei Trofimovich
2018-10-06 19:12 Sergei Trofimovich
2018-09-13 14:31 Tobias Klausmann
2018-08-22  0:38 Mikle Kolyada
2018-08-05  1:03 Thomas Deutschmann
2018-08-03 23:36 Mikle Kolyada
2018-08-02 18:44 Sergei Trofimovich
2018-08-02 18:44 Sergei Trofimovich
2018-05-08 11:39 Mart Raudsepp
2018-04-01 21:44 Sergei Trofimovich
2018-02-23 22:10 Sergei Trofimovich
2018-02-23  5:34 Mart Raudsepp
2018-02-23  5:34 Mart Raudsepp
2018-02-20  8:10 Sergei Trofimovich
2018-02-19  7:50 Jason Zaman
2018-02-18 21:48 Thomas Deutschmann
2018-02-06 15:10 Thomas Deutschmann
2018-02-03 15:39 Mart Raudsepp
2018-01-28 10:11 Tobias Klausmann
2018-01-28  1:46 Mart Raudsepp
2018-01-11 21:55 Sergei Trofimovich
2018-01-10 21:46 Sergei Trofimovich
2018-01-09 22:58 Sergei Trofimovich
2018-01-09 22:26 Sergei Trofimovich
2018-01-09 13:11 Mikle Kolyada
2018-01-04 22:01 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2018-01-04 17:18 Mart Raudsepp
2017-12-21 22:54 Sergei Trofimovich
2017-12-21 22:54 Sergei Trofimovich
2017-11-25 11:55 Markus Meier
2017-11-25 11:55 Markus Meier
2017-11-22 18:28 Tobias Klausmann
2017-11-22 18:27 Tobias Klausmann
2017-11-20 13:50 Manuel Rüger
2017-11-20 13:30 Manuel Rüger
2017-11-19 19:14 Thomas Deutschmann
2017-11-18 22:04 Sergei Trofimovich
2017-11-18 22:04 Sergei Trofimovich
2017-11-18 19:54 Sergei Trofimovich
2017-11-18 19:54 Sergei Trofimovich
2017-11-18 18:55 Sergei Trofimovich
2017-11-18 18:55 Sergei Trofimovich
2017-10-22 23:31 Mart Raudsepp
2017-06-21  9:47 Alexis Ballier
2017-01-06 10:14 Mart Raudsepp
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-10-02 11:24 David Seifert
2016-06-17  1:03 Ryan Hill
2016-06-17  1:03 Ryan Hill
2016-05-27 13:14 Tobias Klausmann
2016-05-19 20:20 Jeroen Roovers
2016-05-13 14:51 Agostino Sarubbo
2016-05-12 23:53 Ryan Hill
2016-04-26 17:28 Markus Meier
2016-04-14  2:34 Ryan Hill
2016-04-14  2:34 Ryan Hill
2016-04-14  2:34 Ryan Hill
2016-04-14  2:34 Ryan Hill
2015-10-20 23:16 Julian Ospald
2015-09-24  7:59 Agostino Sarubbo
2015-09-06 13:25 Agostino Sarubbo
2015-08-18  5:49 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690130445.ba4d88bfb4f7bff4d69a0b0d6d06035cb1bcdd76.slashbeast@gentoo \
    --to=slashbeast@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox